field: 2718313e-9a95-48a0-b8f2-d08ccd8f2323 # Buttons
fieldLayouts:
  b1a873a0-d2b0-4853-9426-ac51535f08cb:
    tabs:
      -
        elements:
          -
            fieldUid: 8adf4bb2-35da-47dc-b397-78ad436fafaf # Button text
            instructions: null
            label: null
            required: false
            tip: null
            type: craft\fieldlayoutelements\CustomField
            warning: null
            width: 100
          -
            fieldUid: 5e4c0541-d6b1-4fdf-9ee6-f2d35e158de3 # Button image
            instructions: null
            label: null
            required: false
            tip: null
            type: craft\fieldlayoutelements\CustomField
            warning: null
            width: 100
          -
            fieldUid: 85f5f339-ed01-43a1-94b9-771aee87b786 # Internal link
            instructions: null
            label: null
            required: false
            tip: null
            type: craft\fieldlayoutelements\CustomField
            warning: null
            width: 100
          -
            fieldUid: 69757833-f906-4261-bc37-340e59416a60 # External link
            instructions: null
            label: null
            required: false
            tip: null
            type: craft\fieldlayoutelements\CustomField
            warning: null
            width: 100
          -
            fieldUid: 82986907-d153-492e-b87b-4c7898ad9a45 # Button style
            instructions: null
            label: null
            required: false
            tip: null
            type: craft\fieldlayoutelements\CustomField
            warning: null
            width: 100
          -
            fieldUid: f78040ea-09e5-4ebd-b1e2-e08df257a5da # Button colour
            instructions: null
            label: null
            required: false
            tip: null
            type: craft\fieldlayoutelements\CustomField
            warning: null
            width: 100
        name: Content
        sortOrder: 1
fields:
  5e4c0541-d6b1-4fdf-9ee6-f2d35e158de3: # Button image
    columnSuffix: null
    contentColumnType: string
    fieldGroup: null
    handle: buttonImage
    instructions: 'If you want to use an image instead of text for the button, upload it here'
    name: 'Button image'
    searchable: false
    settings:
      allowSelfRelations: false
      allowUploads: true
      allowedKinds:
        - image
      defaultUploadLocationSource: 'volume:873ea5aa-dc28-4da2-b4ca-d8ec958b6638' # Upload
      defaultUploadLocationSubpath: ''
      limit: '1'
      localizeRelations: false
      previewMode: full
      restrictFiles: '1'
      selectionLabel: 'Add button image'
      showSiteMenu: false
      showUnpermittedFiles: false
      showUnpermittedVolumes: false
      singleUploadLocationSource: 'volume:873ea5aa-dc28-4da2-b4ca-d8ec958b6638' # Upload
      singleUploadLocationSubpath: ''
      source: null
      sources: '*'
      targetSiteId: null
      useSingleFolder: false
      validateRelatedElements: false
      viewMode: list
    translationKeyFormat: null
    translationMethod: site
    type: craft\fields\Assets
  8adf4bb2-35da-47dc-b397-78ad436fafaf: # Button text
    columnSuffix: null
    contentColumnType: text
    fieldGroup: null
    handle: buttonText
    instructions: ''
    name: 'Button text'
    searchable: false
    settings:
      byteLimit: null
      charLimit: null
      code: ''
      columnType: null
      initialRows: '4'
      multiline: ''
      placeholder: null
      uiMode: normal
    translationKeyFormat: null
    translationMethod: none
    type: craft\fields\PlainText
  85f5f339-ed01-43a1-94b9-771aee87b786: # Internal link
    columnSuffix: null
    contentColumnType: string
    fieldGroup: null
    handle: internalLink
    instructions: ''
    name: 'Internal link'
    searchable: false
    settings:
      allowSelfRelations: false
      limit: '1'
      localizeRelations: false
      selectionLabel: 'Create a link to an entry'
      showSiteMenu: true
      source: null
      sources:
        - 'section:a649cddf-ac92-414a-8d24-cff4dcfeb45e' # Articles
        - singles
        - 'section:6683638f-50e1-4d95-9996-a6e6b3aabff9' # Work
      targetSiteId: null
      validateRelatedElements: false
      viewMode: null
    translationKeyFormat: null
    translationMethod: site
    type: craft\fields\Entries
  69757833-f906-4261-bc37-340e59416a60: # External link
    columnSuffix: null
    contentColumnType: text
    fieldGroup: null
    handle: externalLink
    instructions: ''
    name: 'External link'
    searchable: false
    settings:
      byteLimit: null
      charLimit: null
      code: ''
      columnType: null
      initialRows: '4'
      multiline: ''
      placeholder: null
      uiMode: normal
    translationKeyFormat: null
    translationMethod: none
    type: craft\fields\PlainText
  82986907-d153-492e-b87b-4c7898ad9a45: # Button style
    columnSuffix: null
    contentColumnType: string
    fieldGroup: null
    handle: buttonStyle
    instructions: ''
    name: 'Button style'
    searchable: false
    settings:
      optgroups: true
      options:
        -
          __assoc__:
            -
              - label
              - Outline
            -
              - value
              - outline
            -
              - default
              - '1'
        -
          __assoc__:
            -
              - label
              - Link
            -
              - value
              - link
            -
              - default
              - ''
        -
          __assoc__:
            -
              - label
              - 'Link list'
            -
              - value
              - linkList
            -
              - default
              - ''
    translationKeyFormat: null
    translationMethod: none
    type: craft\fields\Dropdown
  f78040ea-09e5-4ebd-b1e2-e08df257a5da: # Button colour
    columnSuffix: null
    contentColumnType: string
    fieldGroup: null
    handle: buttonColour
    instructions: ''
    name: 'Button colour'
    searchable: false
    settings:
      optgroups: true
      options:
        -
          __assoc__:
            -
              - label
              - Black
            -
              - value
              - black
            -
              - default
              - '1'
        -
          __assoc__:
            -
              - label
              - Red
            -
              - value
              - red
            -
              - default
              - ''
        -
          __assoc__:
            -
              - label
              - White
            -
              - value
              - white
            -
              - default
              - ''
        -
          __assoc__:
            -
              - label
              - Green
            -
              - value
              - green
            -
              - default
              - ''
    translationKeyFormat: null
    translationMethod: none
    type: craft\fields\Dropdown
handle: buttons
name: Buttons
sortOrder: 1
